program summof30;
 const n=30;
 type My=array [1..30] of integer; //массив из 30 целых чисел
 var a: my;
     s,i:integer;
   begin
     WriteLn('введи ',n,' чисел'); 
     for i:=1 to n do ReadLn(a[i]);//не знаю что делает [i], но тут воодятся числа
     s:=0;
     for i:=1 to n do s:=s+a[i]; //все еще не знаю [i], но тут числа складываются
     WriteLn(s);
   end.
 